Get conversations

The method returns a collection of conversations in the account.

Limitations
The method is available to all account users. The returned data depends on the user's rights for the contact associated with the conversation.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

ParameterData TypeDescription
talk_idintConversation ID
created_atintConversation creation date as a Unix timestamp
updated_atintConversation last update date as a Unix timestamp
rateintConversation rating provided by the NPS bot
contact_idintID of the contact associated with the conversation
chat_idstringChat ID associated with the conversation
entity_idint | nullID of the related entity for the conversation
entity_typestring | nullType of the related entity. Possible values: lead
statusstringConversation status. Possible values: in_work – conversation is active, closed – conversation is closed, nps_scheduled – NPS survey is scheduled, nps_in_progress – NPS survey has been sent and a response is pending, with_error – conversation is active, but an error occurred during the NPS bot workflow.
is_in_workboolIndicates whether the conversation is open
is_readboolIndicates whether the conversation is read
originstringSource type from which the conversation has been created (for example, telegram)
source_idint | nullConversation source ID
account_idintAccount ID
_embeddedobjectEmbedded entity data
_embedded[contacts]arrayContact data associated with the conversation (maximum 1 contact)
_embedded[contacts][0]objectContact object
_embedded[contacts][0][id]intContact ID
_embedded[leads]arrayLead data associated with the conversation (maximum 1 lead)
_embedded[leads][0]objectLead object
_embedded[leads][0][id]intLead ID

Query Params
integer

Page of response

integer

Number of entities returned per request (limit – 250)

filter[talk_id][]
array of integers

Filter by conversation ID. Accepts either a single ID or an array of IDs

filter[talk_id][]
filter[contact_id][]
array of integers

Filter by contact ID. Accepts either a single ID or an array of IDs

filter[contact_id][]
filter[entity_id][]
array of integers

Filter by entity ID (lead). Accepts either a single ID or an array of IDs. Must be used together with filter[entity_type]

filter[entity_id][]
string
enum

Entity type for filtering by entity_id. Possible values: lead

Allowed:
string

The parameter is optional and does not require a value. If present, only open conversations are returned

Headers
string
enum
Defaults to application/hal+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/hal+json
text/html
application/problem+json